Sep
28
2009

Joomla! 1.5.15でPHP5.3への対応

Print
0 votes
Blog - Joomla! CMS
Written by:Joomler! 7995 hits

Joomla!1.5.15でPHP 5.3への対応がされそうなので、うちのエクステンションもPHP 5.3を前提にしようと思っています。と言ってもPHP5.3をサポートすると言う意味でJContentPlusのようにPHP5のみと書いている物以外はPHP4でも使えるわけですが。

開発用のプロジェクトのInterpreterをPHP5.3に切替中です。

テストバージョンの1.5.15をダウンロードして比較してみるとたいした差はなく、一様にeregi関数の置き換えばかりが目につくだけで他はバグ修正がほとんどのようでした。さほど大変そうではない。

ということで、PHP5.3で変更しなければならないものは、順次更新していきます。

でも、結構面倒なんですよね。5.3で検証するためには、今開発用サーバーのPHPを5.3にする。そうするとすべての開発用サーバーで使っている物が5.3に対応しなきゃいけない。とするとすべての(数えたら23くらいのJoomlaがあった)Joomlaをアップデートしないと鬱陶しそうです。

まあ、まだサーバーで5.3入れてるってのはあまり聞かないのでぼちぼちやっていこうと思っています。

Tags検証,eregi関数,前提,PHP4,順次更新,今開発用サーバー,切替中,Joomla,アップデート,バグ修正,ダウンロード,サポート,テストバージョン,JContentPlus,エクステンション,Interpreter,プロジェクト,ほとんど,PHP5.3,置き換え
 

JContentPlus for Joomla!1.5 powered by Joomler!.net